Top users by cost
Top users by API-equivalent cost (USD list price of the usage) — an estimate, not billed spend.
Top users by API-equivalent cost (USD list price of the usage) — an estimate, not billed spend.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_llm_analyticsoffset?integerNumber of items to skip before returning results.
int320 <= value0limit?integerMaximum number of items to return per page.
int320 <= value <= 25610start_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timeprovider?array<>Filter to specific LLM telemetry providers.
model?array<string>Filter to specific model names.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
auth_mode?array<>The request has succeeded.
application/json- response
Ranked list of users by API-equivalent cost (USD list price of the usage) — an estimate, not billed spend.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/analytics/llm-top-users-by-cost?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "cost": 0.1 } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}